Subject: [Ltru] Fw: Swiss german, spoken

From: "Mark Davis" <[email-masked]>
Date: Sun, 12 Jun 2005 15:02:56 -0700

On the issue of unwritten content.

‎Mark

----- Original Message ----- 
From: "Mark Davis" <[email-masked]>
To: "IETF Languages Discussion" <[email-masked]>; "Michael Everson"
<[email-masked]>
Sent: Sunday, June 12, 2005 14:45
Subject: Re: Swiss german, spoken

> I quote your previous message:
>
> >> Ys, but that is bollocks. Every language can be written.
>
> Being "unwritten" is not a property of a language per se, it is a property
> of an *instance* which would be tagged, such as an audio recording of the
"I
> have a Dream" speech, which does not contain written content. This is
> similar to other uses of script: when I tag text with Arab, I am not
saying
> that that language is always written in Arabic, just that the instance is.
>
> Thus the interpretation for "code for unwritten languages" -- which is not
> contravened by the text of ISO 15924 -- is that when tagging data, it is
> indicating an instance where the language happens to be unwritten. So
using
> en-Zxxx-US for the "I have a Dream" speech is perfectly reasonable.
>
> ‎Mark
>
> ----- Original Message ----- 
> From: "Michael Everson" <[email-masked]>
> To: "IETF Languages Discussion" <[email-masked]>
> Sent: Sunday, June 12, 2005 10:03
> Subject: Re: Swiss german, spoken
>
>
> > At 09:40 -0700 2005-06-12, Mark Davis wrote:
> >
> > >so gsw-Zxxx could mean unwritten Swiss German, en-Zxxx unwritten
English,
> >
> > In what way is English an unwritten language? English is a written
> > language; application of Zxxx to it would, I think, be a misuse of
> > that tag. Zxxx is "code for unwritten languages". Not "code for
> > materials not written".
> >
> > Though it *is* a little odd that we have a code for languages in the
> > list of script codes.
> >
> > Swiss German, of course, is often written for various cultural purposes.
> >
> >
> > -- 
> > Michael Everson * * Everson Typography *  * http://www.evertype.com
> > _______________________________________________
> > Ietf-languages mailing list
> > [email-masked]
> > http://www.alvestrand.no/mailman/listinfo/ietf-languages
> >
> >
>
>
> _______________________________________________
> Ietf-languages mailing list
> [email-masked]
> http://www.alvestrand.no/mailman/listinfo/ietf-languages
>
>

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 14 Jun 2005 14:47:40 -0700

Hi -

I'm forwarding (with permission) this message from Karen Broome on the
ietf-languages mailing list, since, as a technical contributor, I think it helps
clarify what was intended by the registration that started the discussion that
resulted in issue #1033 being posted, but also gives examples of very real
applications of language tags where these distinctions are important.

Randy

> From: <[email-masked]>
> To: "Debbie Garside" <[email-masked]>
> Cc: "'IETF Languages Discussion'" <[email-masked]>; "'Michael Everson'" <[email-masked]>
> Sent: Monday, June 13, 2005 11:48 AM
> Subject: RE: Swiss german, spoken
>

> Sorry if I'm a bit busy today and overwhelmed by the response to my
> language request. I now agree with Michael that Swiss German should not be
> restricted to a  spoken form alone. That distinction was made based on my
> use of the language, but likely doesn't apply on a wider basis as this
> language is sometimes, if rarely, used in written form. If I need to
> resubmit my language request to reflect this change, I'd be happy to do
> so.
>
> However, in Debbie's defense, here's why I need the distinctions between
> spoken and written languages at Sony Pictures. I realize these are
> implementation details, but they may help explain my business need. I am
> classifying film product to a list of predefined language categories. I
> want these categories to be mutually exclusive.  If I'm dubbing a film
> into Chinese, I want to see the values:
>
> Chinese (Cantonese)
> Chinese (Mandarin)
>
> If I'm subtitling that film, I want my user to see:
>
> Chinese (Cantonese)
> Chinese (Mandarin Simplified)
> Chinese (Mandarin Traditional)
>
> I do not consider traditional Mandarin to be a "spoken language,"
> therefore it cannot be used with dubbed product.  If I put three flavors
> of Mandarin on my language list, then a user could potentially classify a
> dubbed film as traditional or simplified Mandarin, which is bad data.
> These classifications must ultimately be passed in standards-compliant XML
> (various standards, depending on use).
>
> So for data storage here, I will recommend use of a single language table
> associated with proper ISO codes, filtered in a UI via a spoken/written
> Boolean I associate with each language. I have analyzed our use of
> language here and RFC 3066 met my needs except in the case of Swiss German
> and Latin American Spanish, so I applied for those codes. We do not
> subtitle into Swiss German, so I had this noted as a spoken variant in my
> spreadsheet, but my application for the code shouldn't have made this
> distinction.
>
> Hope this helps explain my request,
>
> Karen Broome
>
>
>
>
>
>
> "Debbie Garside" <[email-masked]>
> Sent by: [email-masked]
> 06/11/2005 04:19 PM
>
>
>         To:     "'Michael Everson'" <[email-masked]>, "'IETF Languages Discussion'"
> <[email-masked]>
>         cc:
>         Subject:        RE: Swiss german, spoken
>
>
> But for archival and retrieval processes we MAY wish to make a
> distinction.
> Remember, there are an awful lot of end users out there using 3066.
>
> Thought of day... Think literally... think laterally... and ye shall have
> a
> fuller picture :-)
>
>
>
> > -----Original Message-----
> > From: [email-masked] [mailto:ietf-languages-
> > [email-masked]] On Behalf Of Michael Everson
> > Sent: 12 June 2005 00:08
> > To: 'IETF Languages Discussion'
> > At 16:01 -0700 2005-06-11, Randy Presuhn wrote:
> > >Hi -
> > >
> > >>  From: "Debbie Garside" <[email-masked]>
> > >>  To: "'Michael Everson'" <[email-masked]>; "'IETF Languages
> > >>Discussion'" <[email-masked]>
> > >>  Sent: Saturday, June 11, 2005 3:47 PM
> > >>  Subject: RE: Swiss german, spoken
> > >>
> > >>IMHO Requests for specifically "Written" tags and "Spoken" tags will
> > >>  increase in the future and it may be a wise thing to discuss this
> > sooner
> > >>  rather than later. This is currently catered for within the proposed
> > 639-6;
> > >>  if accepted 3066bis (or ter) will (I presume) follow suit.
> > >...
> > >
> > >If you would like to ensure that the language tag registry has
> mechanisms
> > >to specifically support this distinction, please take your concern
> > >to the [email-masked]
> > >mailing list, preferably with the specific text you'd like to add or
> > change.
> > >The WG is very close to being ready for WG last call on the registry
> > draft,
> > >so delay would not be good.
> >
> > Oh, I'd really like to say "bollocks" to this notion of "spoken" vs
> > "written". A language is a language. EVERY language can be written.
> > Representation of dialect forms of written language is not a question
> > of written/unwritten.
> > --